Listar facturas
curl --request GET \
--url https://api.palomma.com/v1/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.palomma.com/v1/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.palomma.com/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "01HQY8EW1H9YGH5PAV5Y2M9R3T",
"reference": "INV-2026-0001",
"status": "paid",
"amount": 1850000,
"description": "Canon de arrendamiento marzo 2026",
"contract": "CTR-8842",
"customerDocumentNumber": "900123456",
"createdAt": "2026-03-11T16:32:14.007Z",
"paymentDate": "2026-03-11T18:01:03.219Z",
"paymentMethod": "pse",
"paymentSource": "link",
"paymentAmount": 1850000,
"settlementDate": "2026-03-12",
"settlementTime": "1",
"paymentId": "payin_8JkM2P",
"paymentUrl": "https://pagos.palomma.com/pay/merchant_123/01HQY8EW1H9YGH5PAV5Y2M9R3T"
}
],
"cursor": "eyJwayI6InJlbnRhbHMj...",
"count": 1
}Facturas
Listar facturas
Retorna una lista paginada de facturas para el comercio autenticado.
GET
/
invoices
Listar facturas
Autorizaciones
Enviar header: Authorization: Bearer <apiKey>.
Parámetros de consulta
Filtrar por referencia de factura.
Filtrar por numero de documento del cliente.
Filtrar por identificador de contrato.
Filtrar por fecha exacta de pago.
Filtrar por fecha de liquidacion.
Filtrar por ciclo de liquidacion.
Cantidad de resultados por pagina. Min 1, max 100.
Rango requerido:
1 <= x <= 100Cursor opaco de una respuesta anterior para obtener la siguiente pagina.
